using System;
using UnityEngine;

using System.Collections.Generic;
using System.Linq;
using System.Text;
namespace CCPConnector
{
	public class FTools
	{
		public FTools ()
		{
		}
		
		
		private static string sResult = "";
		public static string ShortenValue(string str,int rightValues) {
			string[] r  = str.Split("."[0]);
			if (r == null || r.Length == 0) // try with dot;
				r = str.Split("."[0]);
			
			if (r != null && r.Length > 1) {
				if (r[1].Length > rightValues && rightValues > 0) {
					r[1] = r[1].Substring(0,rightValues-1);
					sResult = r[0]+"."+r[1];
				}
				else if (r[1].Length > rightValues && rightValues == 0) {
					sResult = r[0];
				}
				//sResult = r[0]+"."+r[1];
			}
			else if (r != null && r.Length == 1) {
				sResult = r[0];
			}	
			else 
				sResult = "???";
			
			
			return sResult;
		}
		public static bool isDecoupler(Part p)
        {
            return (p is Decoupler ||
                p is DecouplerGUI ||
                p is RadialDecoupler ||
                p.Modules.OfType<ModuleDecouple>().Count() > 0 ||
                p.Modules.OfType<ModuleAnchoredDecoupler>().Count() > 0  );
        }
		public static bool isEngine(Part p) {

              
                    if (p is LiquidEngine)
                    {
                       return true;
                    }
                    if (p is LiquidFuelEngine)
                    {
                       return true;
                    }
                    if (p is SolidRocket)
                    {
                      return true;
                    }
                    if (p is AtmosphericEngine)
                    {
                        return true;
                    }
                    foreach (PartModule pm in p.Modules)
                    {
                        if ((pm is ModuleEngines) && (pm.isEnabled)) 
                        {
                          return true;  
                        }
                    }
				return false;
          }
         	
		
		
	}
	
	
	
}

